<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_07) on Fri Feb 18 00:47:24 EST 2005 -->
<TITLE>
Uses of Interface org.eclipse.wst.common.modulecore.WorkbenchModuleResource
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface org.eclipse.wst.common.modulecore.WorkbenchModuleResource";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WorkbenchModuleResource.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>org.eclipse.wst.common.modulecore.WorkbenchModuleResource</B></H2>
</CENTER>
<A NAME="org.eclipse.wst.common.modulecore"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A> in <A HREF="../../../../../../org/eclipse/wst/common/modulecore/package-summary.html">org.eclipse.wst.common.modulecore</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../org/eclipse/wst/common/modulecore/package-summary.html">org.eclipse.wst.common.modulecore</A> that return <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A></CODE></FONT></TD>
<TD><CODE><B>ModuleCore.</B><B><A HREF="../../../../../../org/eclipse/wst/common/modulecore/ModuleCore.html#createWorkbenchModuleResource(IResource)">createWorkbenchModuleResource</A></B>(IResource&nbsp;aResource)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Create a <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModuleResource</CODE></A>&nbsp;with the sourcePath of aResource.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[]</CODE></FONT></TD>
<TD><CODE><B>ModuleCore.</B><B><A HREF="../../../../../../org/eclipse/wst/common/modulecore/ModuleCore.html#findWorkbenchModuleResourceByDeployPath(URI, URI)">findWorkbenchModuleResourceByDeployPath</A></B>(URI&nbsp;aModuleURI,
                                        URI&nbsp;aDeployedResourcePath)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Search the given module (indicated by aModuleURI) for the <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModuleResource</CODE></A>s
 identified by the module-relative path (indicated by aDeployedResourcePath).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[]</CODE></FONT></TD>
<TD><CODE><B>ModuleCore.</B><B><A HREF="../../../../../../org/eclipse/wst/common/modulecore/ModuleCore.html#findWorkbenchModuleResourceByDeployPath(URI)">findWorkbenchModuleResourceByDeployPath</A></B>(URI&nbsp;aModuleResourcePath)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Search the the module (indicated by the root of aModuleResourcePath) for the
 <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModuleResource</CODE></A>s identified by the module-qualified path (indicated by
 aDeployedResourcePath).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[]</CODE></FONT></TD>
<TD><CODE><B>ModuleCore.</B><B><A HREF="../../../../../../org/eclipse/wst/common/modulecore/ModuleCore.html#findWorkbenchModuleResourcesBySourcePath(URI)">findWorkbenchModuleResourcesBySourcePath</A></B>(URI&nbsp;aWorkspaceRelativePath)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Locates the <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModuleResource</CODE></A>s that contain the supplied resource in their
 source path.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[]</CODE></FONT></TD>
<TD><CODE><B>WorkbenchModule.</B><B><A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#findWorkbenchModuleResourceByDeployPath(URI)">findWorkbenchModuleResourceByDeployPath</A></B>(URI&nbsp;aDeployPath)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[]</CODE></FONT></TD>
<TD><CODE><B>WorkbenchModule.</B><B><A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#findWorkbenchModuleResourceBySourcePath(URI)">findWorkbenchModuleResourceBySourcePath</A></B>(URI&nbsp;aSourcePath)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A></CODE></FONT></TD>
<TD><CODE><B>ModuleCoreFactory.</B><B><A HREF="../../../../../../org/eclipse/wst/common/modulecore/ModuleCoreFactory.html#createWorkbenchModuleResource()">createWorkbenchModuleResource</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Workbench Module Resource</em>'.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../org/eclipse/wst/common/modulecore/package-summary.html">org.eclipse.wst.common.modulecore</A> with parameters of type <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;IResource</CODE></FONT></TD>
<TD><CODE><B>ModuleCore.</B><B><A HREF="../../../../../../org/eclipse/wst/common/modulecore/ModuleCore.html#getEclipseResource(org.eclipse.wst.common.modulecore.WorkbenchModuleResource)">getEclipseResource</A></B>(<A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>&nbsp;aModuleResource)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Returns the corresponding Eclipse IResource, if it can be determined, for the given
 <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModuleResource</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WorkbenchModuleResource.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
